freemarker.core

## Class UnexpectedTypeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - freemarker.template.TemplateException
      - - freemarker.core.UnexpectedTypeException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  NonBooleanException, NonDateException, NonExtendedHashException, NonHashException, NonMarkupOutputException, NonMethodException, NonNodeException, NonNumericalException, NonSequenceException, NonSequenceOrCollectionException, NonStringException, NonStringOrTemplateOutputException

    public class UnexpectedTypeException
    extends TemplateException

The type of a value differs from what was expected.

Since:
  2.3.20
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`UnexpectedTypeException(Environment env, String description)`

### Method Summary

### Methods inherited from class freemarker.template.TemplateException

`getBlamedExpressionString, getCauseException, getColumnNumber, getEndColumnNumber, getEndLineNumber, getEnvironment, getFTLInstructionStack, getLineNumber, getMessage, getMessageWithoutStackTop, getTemplateName, getTemplateSourceName, printStackTrace, printStackTrace, printStackTrace, printStackTrace, printStandardStackTrace, printStandardStackTrace`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UnexpectedTypeException

    public UnexpectedTypeException(Environment env,
                                   String description)